# Retrieve catalog item workflow processes

## Get catalog item workflow processes

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/catalog-item-processes`

This endpoint allows you to retrieve workflow processes for catalog items.

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

{% tabs %}
{% tab title="200 Catalog item processes retrieved successfully." %}

```javascript
{
    "processes": [
        {
            "processId": 4,
            "processName": "Catalog Workflow",
            "sequenceNumber": 1,
            "description": "Catalog Workflow Description"
        },
        {
            "processId": 13,
            "processName": "Inventory Workflow",
            "sequenceNumber": 2,
            "description": "Inventory Workflow Description"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/catalog-item/retrieve-catalog-item-processes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
